Bug 248318 - Shelf plasmoid show folder content randomly sorted.
Summary: Shelf plasmoid show folder content randomly sorted.
Status: RESOLVED FIXED
Alias: None
Product: plasma4
Classification: Unclassified
Component: widget-lancelot (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Ivan Čukić
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-19 04:06 UTC by Fest
Modified: 2013-08-23 12:28 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fest 2010-08-19 04:06:49 UTC
Version:           unspecified (using KDE 4.5.0) 
OS:                Linux

When adding folder to shelf plasmoid, it's content shown randomly sorted instead of alphabetically. So it's make a pretty hard job to find something in the list.

Reproducible: Always

Steps to Reproduce:
1. Create shelf plasmoid.
2. Add folder to it.
3. Open shelf.

Actual Results:  
Files sorted randomly.

Expected Results:  
Files sorted alphabetically.
Comment 1 Ivan Čukić 2010-11-06 12:36:57 UTC
SVN commit 1193568 by ivan:

- FolderModel sorting - time, name, dirsfirst, reversed flags supported
- Recent documents sorted by time, most recent first
- Sorting by name in shelf

BUG: 244538
BUG: 248318



 M  +1 -1      applets/lancelot/parts/PartsMergedModel.cpp  
 M  +145 -27   libs/lancelot-datamodels/FolderModel.cpp  
 M  +13 -11    libs/lancelot-datamodels/FolderModel.h  
 M  +1 -1      libs/lancelot-datamodels/NewDocuments.cpp  
 M  +3 -3      libs/lancelot-datamodels/RecentDocuments.cpp  
 M  +1 -1      libs/lancelot-datamodels/SystemServices.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1193568
Comment 2 naraesk 2013-08-23 12:28:27 UTC
This problem still exists ...